Closed Bug 749872 Opened 10 years ago Closed 3 months ago

Remove test_handlerApps.xhtml

Categories

(Firefox :: File Handling, defect, P3)

All
macOS
defect

Tracking

()

RESOLVED FIXED
99 Branch
Tracking Status
firefox12 --- wontfix
firefox13 --- wontfix
firefox14 --- wontfix
firefox99 --- fixed

People

(Reporter: sgautherie, Assigned: Gijs)

References

Details

(Whiteboard: [fixed in moz15: Bv1] [perma-orange])

Attachments

(3 files)

(In reply to Serge Gautherie (:sgautherie) from bug 556687 comment #17)
> (In reply to comment #14)
> > Looks like [something] turned this into a hang of the test.
> 
> At least, this test (now) triggers a "specific" warning:


(In reply to Serge Gautherie (:sgautherie) from bug 556687 comment #23)
> http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey-Aurora/1335224588.
> 1335225531.3665.gz
> OS X 10.5 comm-aurora debug test mochitests-2/5 on 2012/04/23 16:43:08
> s: cb-sea-miniosx02
> +
> http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey-Beta/1334930379.
> 1334931388.10687.gz
> OS X 10.5 comm-beta debug test mochitests-2/5 on 2012/04/20 06:59:39
> s: cb-sea-miniosx01
> {
> TEST-UNEXPECTED-FAIL | /tests/docshell/test/test_bug511449.html |
> application timed out after 330 seconds with no output
> 
> SCREENSHOT: data:image/png;base64,[...]
> }
> 
> Screenshot shows:
> *Top menu is 'SeaMonkeyDebug'.
> *Open window is 'iCal'.
> *Open dialog is 'Subscribe to calendar' for
> "webcal://127.0.0.1/rheeeeet.html" url.
> 
> ***
> 
> That url is in
> http://mxr.mozilla.org/mozilla-central/source/uriloader/exthandler/tests/
> mochitest/handlerApps.js
> which is part of
> http://mxr.mozilla.org/mozilla-central/source/uriloader/exthandler/tests/
> mochitest/test_handlerApps.xhtml
> 
> That test (would) run after the one which the test suite times out in.
> My guess would be that test_handlerApps.xhtml gets run once after reboot
> (whenever that might happen), then iCal stays there and breaks all following
> runs (because SeaMonkey can't get focus anymore?)...
> 
> This looks similar to Core bug 449763.
> 
> NB: I'm not sure why Firefox is not affected: are FF boxes rebooting after
> each test suite run?
Depends on: 394483
Whiteboard: [perma-orange] → [perma-orange] [autoland:619273:-u mochitest-5 -t none]
Try run for 741a5f568f44 is complete.
Detailed breakdown of the results available here:
    https://tbpl.mozilla.org/?tree=Try&rev=741a5f568f44
Results (out of 31 total builds):
    success: 29
    warnings: 2
Builds (or logs if builds failed) available at:
http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/sgautherie.bz@free.fr-741a5f568f44
(In reply to Mozilla RelEng Bot from comment #3)

>     https://tbpl.mozilla.org/?tree=Try&rev=741a5f568f44

Succeeded.

*****

Ftr,


https://tbpl.mozilla.org/php/getParsedLog.php?id=11353963&tree=Try&full=1
Rev3 Fedora 12x64 try opt test mochitests-5/5 on 2012-05-01 03:12:07 PDT for push 741a5f568f44
{
6874 INFO TEST-START | /tests/uriloader/exthandler/tests/mochitest/test_handlerApps.xhtml
NPP_Destroy
6875 INFO TEST-PASS | /tests/uriloader/exthandler/tests/mochitest/test_handlerApps.xhtml | webHandler launchWithURI (new window/tab) test started
6876 INFO TEST-PASS | /tests/uriloader/exthandler/tests/mochitest/test_handlerApps.xhtml | webHandler launchWithURI (existing window/tab) test started
webcal://127.0.0.1/rheeeeet.html
6877 INFO TEST-PASS | /tests/uriloader/exthandler/tests/mochitest/test_handlerApps.xhtml | localHandler launchWithURI test succeeded
Closing web-handler app which has no window.opener
6878 INFO TEST-INFO | /tests/uriloader/exthandler/tests/mochitest/test_handlerApps.xhtml | Received unload event 1/2
6879 INFO TEST-PASS | /tests/uriloader/exthandler/tests/mochitest/test_handlerApps.xhtml | uri passed to web-handler app - ?uri=webcal%3A%2F%2F127.0.0.1%2Frheeeeet.html should equal ?uri=webcal%3A%2F%2F127.0.0.1%2Frheeeeet.html
Closing web-handler app which has a window.opener
6880 INFO TEST-INFO | /tests/uriloader/exthandler/tests/mochitest/test_handlerApps.xhtml | Received unload event 2/2
6881 INFO TEST-END | /tests/uriloader/exthandler/tests/mochitest/test_handlerApps.xhtml | finished in 510ms
}
NB: 'echo' prints the url :-)


https://tbpl.mozilla.org/php/getParsedLog.php?id=11353806&tree=Try&full=1
Rev4 MacOSX Snow Leopard 10.6 try opt test mochitests-5/5 on 2012-05-01 02:55:12 PDT for push 741a5f568f44
{
7576 INFO TEST-START | /tests/uriloader/exthandler/tests/mochitest/test_handlerApps.xhtml
NPP_Destroy
7577 INFO TEST-PASS | /tests/uriloader/exthandler/tests/mochitest/test_handlerApps.xhtml | webHandler launchWithURI (new window/tab) test started
7578 INFO TEST-PASS | /tests/uriloader/exthandler/tests/mochitest/test_handlerApps.xhtml | webHandler launchWithURI (existing window/tab) test started
7579 INFO TEST-PASS | /tests/uriloader/exthandler/tests/mochitest/test_handlerApps.xhtml | localHandler launchWithURI test succeeded
Closing web-handler app which has no window.opener
7580 INFO TEST-INFO | /tests/uriloader/exthandler/tests/mochitest/test_handlerApps.xhtml | Received unload event 1/2
7581 INFO TEST-PASS | /tests/uriloader/exthandler/tests/mochitest/test_handlerApps.xhtml | uri passed to web-handler app - ?uri=webcal%3A%2F%2F127.0.0.1%2Frheeeeet.html should equal ?uri=webcal%3A%2F%2F127.0.0.1%2Frheeeeet.html
Closing web-handler app which has a window.opener
7582 INFO TEST-INFO | /tests/uriloader/exthandler/tests/mochitest/test_handlerApps.xhtml | Received unload event 2/2
7583 INFO TEST-END | /tests/uriloader/exthandler/tests/mochitest/test_handlerApps.xhtml | finished in 500ms
}
NB: iCal doesn't print anything :-|


https://tbpl.mozilla.org/php/getParsedLog.php?id=11354249&tree=Try&full=1
Rev3 WINNT 6.1 try opt test mochitests-5/5 on 2012-05-01 03:29:15 PDT for push 741a5f568f44
{
8060 INFO TEST-START | /tests/uriloader/exthandler/tests/mochitest/test_handlerApps.xhtml
8061 INFO TEST-PASS | /tests/uriloader/exthandler/tests/mochitest/test_handlerApps.xhtml | webHandler launchWithURI (new window/tab) test started
8062 INFO TEST-PASS | /tests/uriloader/exthandler/tests/mochitest/test_handlerApps.xhtml | webHandler launchWithURI (existing window/tab) test started
8063 INFO TEST-PASS | /tests/uriloader/exthandler/tests/mochitest/test_handlerApps.xhtml | localHandler launchWithURI test succeeded
Closing web-handler app which has no window.opener
sethostname: Use the Network Control Panel Applet to set hostname.
hostname -s is not supported.
8064 INFO TEST-INFO | /tests/uriloader/exthandler/tests/mochitest/test_handlerApps.xhtml | Received unload event 1/2
8065 INFO TEST-PASS | /tests/uriloader/exthandler/tests/mochitest/test_handlerApps.xhtml | uri passed to web-handler app - ?uri=webcal%3A%2F%2F127.0.0.1%2Frheeeeet.html should equal ?uri=webcal%3A%2F%2F127.0.0.1%2Frheeeeet.html
Closing web-handler app which has a window.opener
8066 INFO TEST-INFO | /tests/uriloader/exthandler/tests/mochitest/test_handlerApps.xhtml | Received unload event 2/2
8067 INFO TEST-END | /tests/uriloader/exthandler/tests/mochitest/test_handlerApps.xhtml | finished in 840ms
}
NB: 'hostname' (at least on Windows 2000) doesn't support any parameter (= i.e. the url) :-/
Whiteboard: [perma-orange] [autoland:619273:-u mochitest-5 -t none] → [perma-orange]
Comment on attachment 619273 [details] [diff] [review]
(Av1) test_handlerApps.xhtml: Reorder tests, Add a dump() call, Remove extra spaces

Ping for review.
Attachment #619273 - Flags: review?(jonas)
Attachment #619275 - Flags: review?(jonas)
(In reply to Serge Gautherie (:sgautherie) from comment #0)
> > NB: I'm not sure why Firefox is not affected: are FF boxes rebooting after
> > each test suite run?

SM bug 755626 will do that too.
Depends on: 755626
I won't have time to review this anytime soon, so feel free to find another reviewer.
Attachment #619273 - Flags: review?(jst)
Attachment #619273 - Flags: review?(cbiesinger)
Attachment #619275 - Flags: review?(jst)
Attachment #619275 - Flags: review?(cbiesinger)
Attachment #619275 - Flags: review?(dmose) → review+
Comment on attachment 619275 [details] [diff] [review]
(Bv1) test_handlerApps.xhtml: OS X SeaMonkey workaround wrt iCal
[Checked in: Comments 8 and 10]

https://hg.mozilla.org/mozilla-central/rev/10f674b12089


[Approval Request Comment]
Work around bug 449763.
No risk, SeaMonkey test run only. But it needs to be deployed on all branches to be fully effective.
Attachment #619275 - Attachment description: (Bv1) test_handlerApps.xhtml: OS X SeaMonkey workaround wrt iCal → (Bv1) test_handlerApps.xhtml: OS X SeaMonkey workaround wrt iCal [Checked in: Comment 8]
Attachment #619275 - Flags: review?(jst)
Attachment #619275 - Flags: review?(jonas)
Attachment #619275 - Flags: review?(cbiesinger)
Attachment #619275 - Flags: approval-mozilla-beta?
Attachment #619275 - Flags: approval-mozilla-aurora?
Flags: in-testsuite+
Whiteboard: [perma-orange] → [fixed in moz15: Bv1] [perma-orange]
Comment on attachment 619275 [details] [diff] [review]
(Bv1) test_handlerApps.xhtml: OS X SeaMonkey workaround wrt iCal
[Checked in: Comments 8 and 10]

we've already built our last beta for this cycle, so not approving for beta but please go ahead and land to aurora before Monday June 4th when we merge.
Attachment #619275 - Flags: approval-mozilla-beta?
Attachment #619275 - Flags: approval-mozilla-beta-
Attachment #619275 - Flags: approval-mozilla-aurora?
Attachment #619275 - Flags: approval-mozilla-aurora+
Keywords: checkin-needed
Whiteboard: [fixed in moz15: Bv1] [perma-orange] → [c-n: 10f674b12089 to m-a] [fixed in moz15: Bv1] [perma-orange]
Comment on attachment 619275 [details] [diff] [review]
(Bv1) test_handlerApps.xhtml: OS X SeaMonkey workaround wrt iCal
[Checked in: Comments 8 and 10]

http://hg.mozilla.org/releases/mozilla-aurora/rev/d92042ceb4cb
Attachment #619275 - Attachment description: (Bv1) test_handlerApps.xhtml: OS X SeaMonkey workaround wrt iCal [Checked in: Comment 8] → (Bv1) test_handlerApps.xhtml: OS X SeaMonkey workaround wrt iCal [Checked in: Comments 8 and 10]
Keywords: checkin-needed
Whiteboard: [c-n: 10f674b12089 to m-a] [fixed in moz15: Bv1] [perma-orange] → [fixed in moz15: Bv1] [perma-orange]
Comment on attachment 619273 [details] [diff] [review]
(Av1) test_handlerApps.xhtml: Reorder tests, Add a dump() call, Remove extra spaces

please find someone else to review this
Attachment #619273 - Flags: review?(cbiesinger)
Comment on attachment 619273 [details] [diff] [review]
(Av1) test_handlerApps.xhtml: Reorder tests, Add a dump() call, Remove extra spaces

Review of attachment 619273 [details] [diff] [review]:
-----------------------------------------------------------------

I'm not the right person to review this
Attachment #619273 - Flags: review?(jonas)
Comment on attachment 619273 [details] [diff] [review]
(Av1) test_handlerApps.xhtml: Reorder tests, Add a dump() call, Remove extra spaces

Apologies; I'm not going to have time to review this any time soon.
Attachment #619273 - Flags: review?(dmose)
Attachment #619273 - Flags: review?(jst) → review+
Product: Core → Firefox
Target Milestone: mozilla15 → ---
Version: Trunk → unspecified
Moving to p3 because no activity for at least 1 year(s).
See https://github.com/mozilla/bug-handling/blob/master/policy/triage-bugzilla.md#how-do-you-triage for more information
Priority: P2 → P3
Moving to p3 because no activity for at least 1 year(s).
See https://github.com/mozilla/bug-handling/blob/master/policy/triage-bugzilla.md#how-do-you-triage for more information
QA Whiteboard: qa-not-actionable

The bug assignee didn't login in Bugzilla in the last 7 months.
:Gijs, could you have a look please?
For more information, please visit auto_nag documentation.

Assignee: bugzillamozillaorg_serge_20140323 → nobody
Status: ASSIGNED → NEW
Flags: needinfo?(gijskruitbosch+bugs)

We should just remove this test. It doesn't run on macOS or android, but more importantly it doesn't even run with e10s enabled which means we haven't run it on infra for yonks. I just checked and the launchWithURI APIs have also changed, and we have test coverage for some of this through different tests at this point, so it doesn't seem worth trying to resuscitate it.

Assignee: nobody → gijskruitbosch+bugs
Status: NEW → ASSIGNED
Flags: needinfo?(gijskruitbosch+bugs)
Summary: Skip test_handlerApps.xhtml on OS X SeaMonkey, until bug 449763 is fixed → Remove test_handlerApps.xhtml
Duplicate of this bug: 449763
Pushed by gijskruitbosch@gmail.com:
https://hg.mozilla.org/integration/autoland/rev/9186c25f484f
remove unused/not-run test_handlerApps.xhtml, r=mtigley
Status: ASSIGNED → RESOLVED
Closed: 3 months ago
Resolution: --- → FIXED
Target Milestone: --- → 99 Branch
Blocks: 786938
No longer depends on: 786938
No longer depends on: 449763
You need to log in before you can comment on or make changes to this bug.